NUTSCAN_SCAN_NU(3)

NAME
nutscan_scan_nut_simulation - Scan your sysconfig directory for NUT simulation devices.

SYNOPSIS
#include <nut-scan.h>
#include <unistd.h> /* useconds_t */
nutscan_device_t * nutscan_scan_nut_simulation();

DESCRIPTION
The nutscan_scan_nut_simulation() function try to detect available NUT simulation devices, by finding .dev and .seq files in your sysconfig directory. You MUST call nutscan_init(3) before using this function.

RETURN VALUE
The nutscan_scan_nut_simulation() function returns a pointer to a nutscan_device_t structure containing all found devices or NULL if an error occurs or no device is found.

SEE ALSO
nutscan_init(3), nutscan_scan_usb(3), nutscan_scan_xml_http_range(3), nutscan_scan_snmp(3), nutscan_scan_avahi(3), nutscan_scan_ipmi(3), nutscan_scan_nut(3), nutscan_display_sanity_check(3), nutscan_display_sanity_check_serial(3), nutscan_display_ups_conf_with_sanity_check(3), nutscan_display_ups_conf(3), nutscan_display_parsable(3), nutscan_new_device(3), nutscan_free_device(3), nutscan_add_option_to_device(3), nutscan_add_device_to_device(3), nutscan_scan_eaton_serial(3), nutscan_cidr_to_ip(3)